Package com.avaya.clientservices.call.feature

## Class Autodial

- java.lang.Object
- - com.avaya.clientservices.call.feature.Autodial

-     public class Autodial
      extends java.lang.Object

  Represents autodial feature details.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Autodial​(int nButtonLocation, java.lang.String sDestinationLabel, java.lang.String sDestinationExtension, boolean bIsDestinationExtensionEditable)` | Returns the Autodial object initiated on basis of specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getButtonLocation()` | Returns the button index of the autodial feature as configured on the server.
    `java.lang.String` | `getDestinationExtension()` | Returns the destination extension, if configured on the server.
    `java.lang.String` | `getDestinationLabel()` | Returns the label associated of the destination, if configured on the server.
    `int` | `hashCode()` |
    `boolean` | `isDestinationExtensionEditable()` | Indicates whether the destination extension field of Autodial can be edited or not by the user.
    `void` | `setDestinationExtension​(java.lang.String sDestinationExtension)` | Sets the destination extension for the Autodial feature.
    `void` | `setDestinationLabel​(java.lang.String sDestinationLabel)` | Sets The label for the destination extension for Autodial feature
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Autodial

          public Autodial​(int nButtonLocation,
                          java.lang.String sDestinationLabel,
                          java.lang.String sDestinationExtension,
                          boolean bIsDestinationExtensionEditable)

      Returns the Autodial object initiated on basis of specified parameters.
      Parameters:
        `nButtonLocation` - Index of Autodial button.
        `sDestinationLabel` - Destination extension label.
        `sDestinationExtension` - Destination extension.
        `bIsDestinationExtensionEditable` - true if destination extension is editable by user else false.

  - ### Method Detail

    - #### getButtonLocation

          public int getButtonLocation()

      Returns the button index of the autodial feature as configured on the server.
      Returns:
        the button index of the autodial feature as configured on the server.

    - #### getDestinationLabel

          public java.lang.String getDestinationLabel()

      Returns the label associated of the destination, if configured on the server.
      Returns:
        the label associated of the destination, if configured on the server.

    - #### setDestinationLabel

          public void setDestinationLabel​(java.lang.String sDestinationLabel)

      Sets The label for the destination extension for Autodial feature
      Parameters:
        `sDestinationLabel` - the label for the destination extension for Autodial feature.

    - #### getDestinationExtension

          public java.lang.String getDestinationExtension()

      Returns the destination extension, if configured on the server.
      Returns:
        the destination extension, if configured on the server.

    - #### setDestinationExtension

          public void setDestinationExtension​(java.lang.String sDestinationExtension)

      Sets the destination extension for the Autodial feature.
      Parameters:
        `sDestinationExtension` - the destination extension for the Autodial feature.

    - #### isDestinationExtensionEditable

          public boolean isDestinationExtensionEditable()

      Indicates whether the destination extension field of Autodial can be edited or not by the user.
      Returns:
        True if the destination extension field of Autodial can be edited by the user.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`